    import {Feature} from 'tablefilter/src/modules/feature.js'

public class | source

# Feature

#### Direct Subclass:

AlternateRows, CheckList, ClearButton, Dropdown, GridLayout, Help, Loader, NoResults, Paging, PopupFilter, RowsCounter, StatusBar

## Constructor Summary

Public Constructor
public | constructor(tf: *, feature: *) |

## Member Summary

Public Members
public | config: * |
public | emitter: * |
public | enabled: * |
public | feature: * |
public | initialized: boolean |
public | tf: * |

## Method Summary

Public Methods
public | destroy() |
public | disable() |
public | enable() |
public | init() |
public | isEnabled(): * |
public | reset() |

## Public Constructors

### public constructor(tf: *, feature: *) source

#### Params:

Name | Type | Attribute | Description
tf | * |  |
feature | * |  |

## Public Members

### public config: * source

### public emitter: * source

### public enabled: * source

### public feature: * source

### public initialized: boolean source

### public tf: * source

## Public Methods

### public destroy() source

### public disable() source

### public enable() source

### public init() source

### public isEnabled(): * source

#### Return:

*

### public reset() source